local stage = {grid =  {{}}, 10, 21}
local shape =  {{{}}}, 4, 4, 7
function love.load()

	-- The amazing music.
	music = love.audio.newSource("bd_ttr1.xm")
	musicOn = 1
	
	-- Load sound effects.
	blockLand = love.audio.newSource("Blockland.wav")
	blockBreak = love.audio.newSource("Blockbreak.wav")
	levelUp = love.audio.newSource("Levelup.wav")
	gameOverSound = love.audio.newSource("Gameover.wav")
	gamePauseSound = love.audio.newSource("Pause.wav")
	
	-- Add the font.
	font = love.graphics.newImageFont("KarmaArc.png", " ABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789.:!?-")
	
	-- Set the background color to black.
	love.graphics.setBackgroundColor(0, 0, 0)
		
	--Create shapes
	shape = {{{0,0,0,0},
					{0,1,1,0},
					{0,1,1,0},
					{0,0,0,0}} ,
				  {{0,0,0,0},
					{2,2,2,2},
					{0,0,0,0},
					{0,0,0,0}},
				  {{0,0,0,0},
					{0,0,3,3},
					{0,3,3,0},
					{0,0,0,0}},
				  {{0,0,0,0},
					{0,4,4,0},
					{0,0,4,4},
					{0,0,0,0}},
				  {{0,0,0,0},
					{0,5,5,5},
					{0,5,0,0},
					{0,0,0,0}}, 
				  {{0,0,0,0},
					{0,6,6,6},
					{0,0,0,6},
					{0,0,0,0}},
				  {{0,0,0,0},
					{0,7,7,7},
					{0,0,7,0},
					{0,0,0,0}}}
					
	reset()
end

function love.update(dt)
	if gameNotFocused or gamePause == 1 or gameOver == 1 then
		gameNotPause = 0
		return
	else
		if gameNotPause < 1 then gameNotPause = gameNotPause + dt end
		if songTimer >= 142 then
			love.audio.stop(music)
			love.audio.play(music)
			songTimer = 0
		else
			if musicOn == 1 then songTimer = songTimer + dt end
		end
	end
	if gameNotPause < 1 or gameOver == 1 then return end
	if stageLevel < 21 then stageLevel = math.floor(rowsComplete/10) + 1 end
	stageTimer = 0.26 - (stageLevel/100)
	gameTime = gameTime + dt
	controlTimer = controlTimer - dt
	if controlTimer <= 0 then keydown() end
	if gameTime - stageShift > stageTimer then
		stageShift = gameTime
		if b == 0 then
			checkRows()
			if bNext == 0 then
				b = roundBlock(math.random(0,8))
				bNext = roundBlock(math.random(0,8))
			else
				b = bNext
				bNext = roundBlock(math.random(0,8))
			end
			o = 1
			x = 6
			y = 2
			createBlock(b)
		else
			shiftBlock()
		end
	end
end

function love.focus(f)
	if gameNotFocused then
		if musicOn == 1 and gamePause == 0 then love.audio.resume(music) end
	else
		love.audio.pause(music)
	end
	gameNotFocused = not f 
end

function roundBlock(bNumber)
	if bNumber < 1 then
		return 1
	elseif bNumber < 2 then
		return 2
	elseif bNumber < 3 then
		return 3
	elseif bNumber < 4 then
		return 4
	elseif bNumber < 5 then
		return 5 
	elseif bNumber < 6 then
		return 6 
	else
		return 7 
	end
end

function love.draw()
	love.graphics.setColor(64,64,64)
	love.graphics.rectangle("fill", 5,5,300,591)
	drawStage(-19,47)
	drawInterface()
end

function drawStage(stage_x,stage_y)
-- O, I, S, Z, L, J, T
-- 1, 2, 3, 4, 5, 6, 7
	for i=2, 21 do
		for j=1, 10 do
			if stage.grid[i][j] == 1 then drawTealSquare((29*j)+stage_x,(29*i)-stage_y)
			elseif stage.grid[i][j] == 2 then drawRedSquare((29*j)+stage_x,(29*i)-stage_y)
			elseif stage.grid[i][j] == 3 then drawBlueSquare((29*j)+stage_x,(29*i)-stage_y)
			elseif stage.grid[i][j] == 4 then drawGreenSquare((29*j)+stage_x,(29*i)-stage_y)
			elseif stage.grid[i][j] == 5 then drawYellowSquare((29*j)+stage_x,(29*i)-stage_y)
			elseif stage.grid[i][j] == 6 then drawPurpleSquare((29*j)+stage_x,(29*i)-stage_y)
			elseif stage.grid[i][j] == 7 then drawGreySquare((29*j)+stage_x,(29*i)-stage_y)
			else
				love.graphics.setColor(0,0,0)
				love.graphics.rectangle("fill",(29*j)+stage_x,(29*i)-stage_y,28,28)
			end
		end
	end
end

function drawInterface()
	if stageLevel <= 3 then love.graphics.setColor(229,229,229) end
	if stageLevel >= 4  and stageLevel <= 6 then love.graphics.setColor(128,255,246) end
	if stageLevel >= 7  and stageLevel <= 9  then love.graphics.setColor(48,255,107) end
	if stageLevel >= 10  and stageLevel <= 12 then love.graphics.setColor(255,250,95) end
	if stageLevel >= 13  and stageLevel <= 15  then love.graphics.setColor(40,91,255) end
	if stageLevel >= 16  and stageLevel <= 18 then love.graphics.setColor(236,66,255) end
	if stageLevel >= 19  then love.graphics.setColor(255,50,50)end
	love.graphics.setFont(font)
	love.graphics.print("NEXT", 336, 40)
	love.graphics.print("LEVEL", 336, 200)
	if stageLevel < 10 then love.graphics.print(stageLevel, 398, 240) else love.graphics.print(stageLevel, 383, 240)  end
	love.graphics.print("LINES", 336, 300)
	if rowsComplete < 10 then love.graphics.print(rowsComplete, 395, 340) else
	if rowsComplete < 100 then love.graphics.print(rowsComplete, 380, 340) else
	love.graphics.print(rowsComplete, 365, 340) end end
	love.graphics.print("SCORE", 336, 400) 
	if score > 0 then love.graphics.print(score, 413-(math.ceil(math.log10(score))*15), 440)  else love.graphics.print(score, 398, 440) end
	love.graphics.print("TIME", 336, 500)
	timeMinutes = math.floor(gameTime/60)
	timeSeconds = math.floor(gameTime)-(timeMinutes*60)
	if timeMinutes < 10 then tShift = 0 else tShift = -30 end
	love.graphics.print(timeMinutes, 370+tShift, 540)
	love.graphics.print(":", 401, 540) 
	if timeSeconds < 10 then 
		love.graphics.print("0", 417, 540) 
		love.graphics.print(timeSeconds, 448, 540) 
	else
		love.graphics.print(timeSeconds, 417, 540) 
	end
	drawNextBox(bNext,310,65)
end

function keydown()
	if gameNotPause < 1 then return end
	    if love.keyboard.isDown("right") then
			moveBlockRight()
			controlTimer = 0.1
        end
       
        if love.keyboard.isDown("left") then
			moveBlockLeft()
			controlTimer = 0.1
        end
       
        if love.keyboard.isDown("down") then
			if b > 0 then shiftBlock() end
			controlTimer = 0.05
        end
end

function love.keypressed(k)
	if k == "escape" then
		os.exit()
	end
	
	if k == "return" then
		if gameOver == 1 then
			reset()
		else
			if gamePause == 1 then
				gamePause = 0 
				love.audio.resume(music)
			else 
				gamePause = 1
				love.audio.pause(music)
			end
			love.audio.stop(gamePauseSound)
			love.audio.play(gamePauseSound)
		end
	end
	
	if k == "m" then
		if musicOn == 1 then
			musicOn = 0
			love.audio.pause(music)
		else
			musicOn = 1
			love.audio.resume(music)
		end
	end
	
	if gameNotPause < 1 or gameOver == 1 then return end
	if k == "up" then
		rotateBlock()
	end
	
	if k == "right" then
		moveBlockRight()
		controlTimer = 0.15
	end
       
	if k == "left" then
		moveBlockLeft()
		controlTimer = 0.15
    end
       
    if k == "down" then
		shiftBlock()
		controlTimer = 0.1
    end
end
function reset()
	if musicOn == 1 then 
		love.audio.stop(music)
		love.audio.play(music)
	end
	
	stage.grid = {{0,0,0,0,0,0,0,0,0,0},
						{0,0,0,0,0,0,0,0,0,0},
						{0,0,0,0,0,0,0,0,0,0},
						{0,0,0,0,0,0,0,0,0,0},
						{0,0,0,0,0,0,0,0,0,0},
						{0,0,0,0,0,0,0,0,0,0},
						{0,0,0,0,0,0,0,0,0,0},
						{0,0,0,0,0,0,0,0,0,0},
						{0,0,0,0,0,0,0,0,0,0},
						{0,0,0,0,0,0,0,0,0,0},
						{0,0,0,0,0,0,0,0,0,0},
						{0,0,0,0,0,0,0,0,0,0},
						{0,0,0,0,0,0,0,0,0,0},
						{0,0,0,0,0,0,0,0,0,0},
						{0,0,0,0,0,0,0,0,0,0},
						{0,0,0,0,0,0,0,0,0,0},
						{0,0,0,0,0,0,0,0,0,0},
						{0,0,0,0,0,0,0,0,0,0},
						{0,0,0,0,0,0,0,0,0,0},
						{0,0,0,0,0,0,0,0,0,0},
						{0,0,0,0,0,0,0,0,0,0}}
						
	gamePause = 0			
	gameOver = 0
	gameNotPause = 1
	gameTime = 0
	stageShift = 0
	stageLevel = 1
	controlTimer = 0
	rowsComplete = 0
	songTimer = 0
	score = 0
	bNext = 0
	b = 0
	o = 1
	x = 6
	y = 2
end

function createBlock(randomBlock)
	if randomBlock == 1 then
		playerType = 1
		if stage.grid[2][6] > 0 then gameOver = 1 else stage.grid[2][6] = 1 end
		if stage.grid[2][5] > 0 then gameOver = 1 else stage.grid[2][5] = 1 end
		if stage.grid[3][5] > 0 then gameOver = 1 else stage.grid[3][5] = 1 end
		if stage.grid[3][6] > 0 then gameOver = 1 else stage.grid[3][6] = 1 end
	elseif randomBlock == 2 then
		playerType = 2
		if stage.grid[2][6] > 0 then gameOver = 1 else stage.grid[2][6] = 2 end
		if stage.grid[2][5] > 0 then gameOver = 1 else stage.grid[2][5] = 2 end
		if stage.grid[2][4] > 0 then gameOver = 1 else stage.grid[2][4] = 2 end
		if stage.grid[2][7] > 0 then gameOver = 1 else stage.grid[2][7] = 2 end
	elseif randomBlock == 3 then
		playerType = 3
		if stage.grid[2][6] > 0 then gameOver = 1 else stage.grid[2][6] = 3 end
		if stage.grid[2][7] > 0 then gameOver = 1 else stage.grid[2][7] = 3 end
		if stage.grid[3][5] > 0 then gameOver = 1 else stage.grid[3][5] = 3 end
		if stage.grid[3][6] > 0 then gameOver = 1 else stage.grid[3][6] = 3 end
	elseif randomBlock == 4 then
		playerType = 4
		if stage.grid[2][6] > 0 then gameOver = 1 else stage.grid[2][6] = 4 end
		if stage.grid[2][5] > 0 then gameOver = 1 else stage.grid[2][5] = 4 end
		if stage.grid[3][6] > 0 then gameOver = 1 else stage.grid[3][6] = 4 end
		if stage.grid[3][7] > 0 then gameOver = 1 else stage.grid[3][7] = 4 end
	elseif randomBlock == 5 then
		playerType = 5
		if stage.grid[2][6] > 0 then gameOver = 1 else stage.grid[2][6] = 5 end
		if stage.grid[2][5] > 0 then gameOver = 1 else stage.grid[2][5] = 5 end
		if stage.grid[2][7] > 0 then gameOver = 1 else stage.grid[2][7] = 5 end
		if stage.grid[3][5] > 0 then gameOver = 1 else stage.grid[3][5] = 5 end
	elseif randomBlock == 6 then
		playerType = 6
		if stage.grid[2][6] > 0 then gameOver = 1 else stage.grid[2][6] = 6 end
		if stage.grid[2][5] > 0 then gameOver = 1 else stage.grid[2][5] = 6 end
		if stage.grid[2][7] > 0 then gameOver = 1 else stage.grid[2][7] = 6 end
		if stage.grid[3][7] > 0 then gameOver = 1 else stage.grid[3][7] = 6 end
	elseif randomBlock == 7 then
		playerType = 7
		if stage.grid[2][6] > 0 then gameOver = 1 else stage.grid[2][6] = 7 end
		if stage.grid[2][5] > 0 then gameOver = 1 else stage.grid[2][5] = 7 end
		if stage.grid[2][7] > 0 then gameOver = 1 else stage.grid[2][7] = 7 end
		if stage.grid[3][6] > 0 then gameOver = 1 else stage.grid[3][6] = 7 end
	end
	if gameOver == 1 then
		love.audio.stop(gameOverSound)
		love.audio.play(gameOverSound)
		love.audio.stop(music)
	end
end

function drawNextBox(theNextBlock,nextBlock_x,nextBlock_y)
-- O, I, S, Z, L, J, T
-- 1, 2, 3, 4, 5, 6, 7
	if theNextBlock == 1 then
		drawTealSquare((29*2)+nextBlock_x+15,(29*1)+nextBlock_y)
		drawTealSquare((29*3)+nextBlock_x+15,(29*1)+nextBlock_y)
		drawTealSquare((29*3)+nextBlock_x+15,(29*2)+nextBlock_y)
		drawTealSquare((29*2)+nextBlock_x+15,(29*2)+nextBlock_y)
	elseif theNextBlock == 2 then
		drawRedSquare((29*3)+nextBlock_x+15,(29*1)+nextBlock_y)
		drawRedSquare((29*2)+nextBlock_x+15,(29*1)+nextBlock_y)
		drawRedSquare((29*1)+nextBlock_x+15,(29*1)+nextBlock_y)
		drawRedSquare((29*4)+nextBlock_x+15,(29*1)+nextBlock_y)
	elseif theNextBlock == 3 then
		drawBlueSquare((29*3)+nextBlock_x,(29*1)+nextBlock_y)
		drawBlueSquare((29*4)+nextBlock_x,(29*1)+nextBlock_y)
		drawBlueSquare((29*2)+nextBlock_x,(29*2)+nextBlock_y)
		drawBlueSquare((29*3)+nextBlock_x,(29*2)+nextBlock_y)
	elseif theNextBlock == 4 then
		drawGreenSquare((29*3)+nextBlock_x,(29*1)+nextBlock_y)
		drawGreenSquare((29*2)+nextBlock_x,(29*1)+nextBlock_y)
		drawGreenSquare((29*3)+nextBlock_x,(29*2)+nextBlock_y)
		drawGreenSquare((29*4)+nextBlock_x,(29*2)+nextBlock_y)
	elseif theNextBlock == 5 then
		drawYellowSquare((29*3)+nextBlock_x,(29*1)+nextBlock_y)
		drawYellowSquare((29*2)+nextBlock_x,(29*1)+nextBlock_y)
		drawYellowSquare((29*4)+nextBlock_x,(29*1)+nextBlock_y)
		drawYellowSquare((29*2)+nextBlock_x,(29*2)+nextBlock_y)
	elseif theNextBlock == 6 then
		drawPurpleSquare((29*3)+nextBlock_x,(29*1)+nextBlock_y)
		drawPurpleSquare((29*2)+nextBlock_x,(29*1)+nextBlock_y)
		drawPurpleSquare((29*4)+nextBlock_x,(29*1)+nextBlock_y)
		drawPurpleSquare((29*4)+nextBlock_x,(29*2)+nextBlock_y)
	elseif theNextBlock == 7 then
		drawGreySquare((29*3)+nextBlock_x,(29*1)+nextBlock_y)
		drawGreySquare((29*2)+nextBlock_x,(29*1)+nextBlock_y)
		drawGreySquare((29*4)+nextBlock_x,(29*1)+nextBlock_y)
		drawGreySquare((29*3)+nextBlock_x,(29*2)+nextBlock_y)
	end
end

function shiftBlock()
	if b == 1 then
		if y < 20 and stage.grid[y+2][x] == 0 and stage.grid[y+2][x-1] == 0 then
			stage.grid[y+2][x] = b
			stage.grid[y+2][x-1] = b
			stage.grid[y][x] = 0
			stage.grid[y][x-1] = 0
			y = y + 1
		else
			b = 0
		end
	elseif b == 2 then
		if o == 1 then
			if y < 21 and stage.grid[y+1][x-2] == 0 and stage.grid[y+1][x-1] == 0 and stage.grid[y+1][x] == 0 and stage.grid[y+1][x+1] == 0 then
				stage.grid[y+1][x-2] = b
				stage.grid[y+1][x-1] = b
				stage.grid[y+1][x] = b
				stage.grid[y+1][x+1] = b
				stage.grid[y][x-2] = 0
				stage.grid[y][x-1] = 0
				stage.grid[y][x] = 0
				stage.grid[y][x+1] = 0
				y = y + 1
			else
				b = 0
			end
		elseif o == 2 then
			if y < 19 and stage.grid[y+3][x] == 0 then
				stage.grid[y+3][x] = b
				stage.grid[y-1][x] = 0
				y = y + 1
			else
				b = 0
			end
		end
	elseif b == 3 then
		if o == 1 then
			if y < 20 and stage.grid[y+2][x-1] == 0 and stage.grid[y+2][x] == 0 and stage.grid[y+1][x+1] == 0 then
				stage.grid[y+2][x-1] = b
				stage.grid[y+2][x] = b
				stage.grid[y+1][x+1] = b
				stage.grid[y+1][x-1] = 0
				stage.grid[y][x] = 0
				stage.grid[y][x+1] = 0
				y = y + 1
			else
				b = 0
			end
		elseif o == 2 then
			if y < 20 and stage.grid[y+1][x] == 0 and stage.grid[y+2][x+1] == 0 then
				stage.grid[y+1][x] = b
				stage.grid[y+2][x+1] = b
				stage.grid[y-1][x] = 0
				stage.grid[y][x+1] = 0
				y = y + 1
			else
				b = 0
			end
		end
	elseif b == 4 then
		if o == 1 then
			if y < 20 and stage.grid[y+1][x-1] == 0 and stage.grid[y+2][x] == 0 and stage.grid[y+2][x+1] == 0 then
				stage.grid[y+1][x-1] = b
				stage.grid[y+2][x] = b
				stage.grid[y+2][x+1] = b
				stage.grid[y][x-1] = 0
				stage.grid[y][x] = 0
				stage.grid[y+1][x+1] = 0
				y = y + 1
			else
				b = 0
			end
		elseif o == 2 then
			if y < 20 and stage.grid[y+2][x] == 0 and stage.grid[y+1][x+1] == 0 then
				stage.grid[y+2][x] = b
				stage.grid[y+1][x+1] = b
				stage.grid[y][x] = 0
				stage.grid[y-1][x+1] = 0
				y = y + 1
			else
				b = 0
			end
		end
	elseif b == 5 then
		if o == 1 then
			if y < 20 and stage.grid[y+2][x-1] == 0 and stage.grid[y+1][x] == 0 and stage.grid[y+1][x+1] == 0 then
				stage.grid[y+2][x-1] = b
				stage.grid[y+1][x] = b
				stage.grid[y+1][x+1] = b
				stage.grid[y][x-1] = 0
				stage.grid[y][x] = 0
				stage.grid[y][x+1] = 0
				y = y + 1
			else
				b = 0
			end
		elseif o == 2 then
			if y < 20 and stage.grid[y+2][x] == 0 and stage.grid[y+2][x+1] == 0 then
				stage.grid[y+2][x] = b
				stage.grid[y+2][x+1] = b
				stage.grid[y-1][x] = 0
				stage.grid[y+1][x+1] = 0
				y = y + 1
			else
				b = 0
			end
		elseif o == 3 then
			if y < 21 and stage.grid[y+1][x-1] == 0 and stage.grid[y+1][x] == 0 and stage.grid[y+1][x+1] == 0 then
				stage.grid[y+1][x-1] = b
				stage.grid[y+1][x] = b
				stage.grid[y+1][x+1] = b
				stage.grid[y][x-1] = 0
				stage.grid[y][x] = 0
				stage.grid[y-1][x+1] = 0
				y = y + 1
			else
				b = 0
			end
		elseif o == 4 then
			if y < 20 and stage.grid[y][x-1] == 0 and stage.grid[y+2][x] == 0 then
				stage.grid[y][x-1] = b
				stage.grid[y+2][x] = b
				stage.grid[y-1][x-1] = 0
				stage.grid[y-1][x] = 0
				y = y + 1
			else
				b = 0
			end
		end
	elseif b == 6 then
		if o == 1 then
			if y < 20 and stage.grid[y+1][x-1] == 0 and stage.grid[y+1][x] == 0 and stage.grid[y+2][x+1] == 0 then
				stage.grid[y+1][x-1] = b
				stage.grid[y+1][x] = b
				stage.grid[y+2][x+1] = b
				stage.grid[y][x-1] = 0
				stage.grid[y][x] = 0
				stage.grid[y][x+1] = 0
				y = y + 1
			else
				b = 0
			end
		elseif o == 2 then
			if y < 20 and stage.grid[y][x+1] == 0 and stage.grid[y+2][x] == 0 then
				stage.grid[y][x+1] = b
				stage.grid[y+2][x] = b
				stage.grid[y-1][x] = 0
				stage.grid[y-1][x+1] = 0
				y = y + 1
			else
				b = 0
			end
		elseif o == 3 then
			if y < 21 and stage.grid[y+1][x-1] == 0 and stage.grid[y+1][x] == 0 and stage.grid[y+1][x+1] == 0 then
				stage.grid[y+1][x-1] = b
				stage.grid[y+1][x] = b
				stage.grid[y+1][x+1] = b
				stage.grid[y-1][x-1] = 0
				stage.grid[y][x] = 0
				stage.grid[y][x+1] = 0
				y = y + 1
			else
				b = 0
			end
		elseif o == 4 then
			if y < 20 and stage.grid[y+2][x-1] == 0 and stage.grid[y+2][x] == 0 then
				stage.grid[y+2][x-1] = b
				stage.grid[y+2][x] = b
				stage.grid[y-1][x] = 0
				stage.grid[y+1][x-1] = 0
				y = y + 1
			else
				b = 0
			end
		end
	elseif b == 7 then
		if o == 1 then
			if y < 20 and stage.grid[y+1][x-1] == 0 and stage.grid[y+2][x] == 0 and stage.grid[y+1][x+1] == 0 then
				stage.grid[y+1][x-1] = b
				stage.grid[y+2][x] = b
				stage.grid[y+1][x+1] = b
				stage.grid[y][x-1] = 0
				stage.grid[y][x] = 0
				stage.grid[y][x+1] = 0
				y = y + 1
			else
				b = 0
			end
		elseif o == 2 then
			if y < 20 and stage.grid[y+1][x+1] == 0 and stage.grid[y+2][x] == 0 then
				stage.grid[y+1][x+1] = b
				stage.grid[y+2][x] = b
				stage.grid[y-1][x] = 0
				stage.grid[y][x+1] = 0
				y = y + 1
			else
				b = 0
			end
		elseif o == 3 then
			if y < 21 and stage.grid[y+1][x-1] == 0 and stage.grid[y+1][x] == 0 and stage.grid[y+1][x+1] == 0 then
				stage.grid[y+1][x-1] = b
				stage.grid[y+1][x] = b
				stage.grid[y+1][x+1] = b
				stage.grid[y-1][x] = 0
				stage.grid[y][x-1] = 0
				stage.grid[y][x+1] = 0
				y = y + 1
			else
				b = 0
			end
		elseif o == 4 then
			if y < 20 and stage.grid[y+1][x-1] == 0 and stage.grid[y+2][x] == 0 then
				stage.grid[y+1][x-1] = b
				stage.grid[y+2][x] = b
				stage.grid[y-1][x] = 0
				stage.grid[y][x-1] = 0
				y = y + 1
			else
				b = 0
			end
		end
	end
	if b == 0 then
		love.audio.stop(blockLand)
		love.audio.play(blockLand)
	end
end

function moveBlockLeft()
	if b == 1 then
		if x > 2 and stage.grid[y][x-2] == 0 and stage.grid[y+1][x-2] == 0  then
			stage.grid[y][x-2] = b
			stage.grid[y+1][x-2] = b
			stage.grid[y][x] = 0
			stage.grid[y+1][x] = 0
			x = x - 1
		end
	elseif b == 2 then
		if o == 1 then
			if x > 3 and stage.grid[y][x-3] == 0  then
				stage.grid[y][x-3] = b
				stage.grid[y][x+1] = 0
				x = x - 1
			end
		elseif o == 2 then
			if x > 1 and stage.grid[y-1][x-1] == 0 and stage.grid[y][x-1] == 0 and stage.grid[y+1][x-1] == 0 and stage.grid[y+2][x-1] == 0 then
				stage.grid[y-1][x-1] = b
				stage.grid[y][x-1] = b
				stage.grid[y+1][x-1] = b
				stage.grid[y+2][x-1] = b
				stage.grid[y-1][x] = 0
				stage.grid[y][x] = 0
				stage.grid[y+1][x] = 0
				stage.grid[y+2][x] = 0
				x = x - 1
			end
		end
	elseif b == 3 then
		if o == 1 then
			if x > 2 and stage.grid[y][x-1] == 0 and stage.grid[y+1][x-2] == 0 then
				stage.grid[y][x-1] = b
				stage.grid[y+1][x-2] = b
				stage.grid[y][x+1] = 0
				stage.grid[y+1][x] = 0
				x = x -1
			end
		elseif o == 2 then
			if x > 1 and stage.grid[y-1][x-1] == 0 and stage.grid[y][x-1] == 0 and stage.grid[y+1][x] == 0 then
				stage.grid[y-1][x-1] = b
				stage.grid[y][x-1] = b
				stage.grid[y+1][x] = b
				stage.grid[y-1][x] = 0
				stage.grid[y][x+1] = 0
				stage.grid[y+1][x+1] = 0
				x = x - 1
			end
		end	
	elseif b == 4 then
		if o == 1 then
			if x > 2 and stage.grid[y][x-2] == 0 and stage.grid[y+1][x-1] == 0 then
				stage.grid[y][x-2] = b
				stage.grid[y+1][x-1] = b
				stage.grid[y][x] = 0
				stage.grid[y+1][x+1] = 0
				x = x - 1
			end
		elseif o == 2 then
			if x > 1 and stage.grid[y-1][x] == 0 and stage.grid[y][x-1] == 0 and stage.grid[y+1][x-1] == 0 then
				stage.grid[y-1][x] = b
				stage.grid[y][x-1] = b
				stage.grid[y+1][x-1] = b
				stage.grid[y-1][x+1] = 0
				stage.grid[y][x+1] = 0
				stage.grid[y+1][x] = 0
				x = x - 1
			end
		end	
	elseif b == 5 then 
		if o == 1 then
			if x > 2 and stage.grid[y][x-2] == 0 and stage.grid[y+1][x-2] == 0 then
				stage.grid[y][x-2] = b
				stage.grid[y+1][x-2] = b
				stage.grid[y][x+1] = 0
				stage.grid[y+1][x-1] = 0
				x = x - 1
			end
		elseif o == 2 then
			if x > 1 and stage.grid[y-1][x-1] == 0 and stage.grid[y][x-1] == 0 and stage.grid[y+1][x-1] == 0 then
				stage.grid[y-1][x-1] = b
				stage.grid[y][x-1] = b
				stage.grid[y+1][x-1] = b
				stage.grid[y-1][x] = 0
				stage.grid[y][x] = 0
				stage.grid[y+1][x+1] = 0
				x = x - 1
			end
		elseif o == 3 then
			if x > 2 and stage.grid[y-1][x] == 0 and stage.grid[y][x-2] == 0 then
				stage.grid[y-1][x] = b
				stage.grid[y][x-2] = b
				stage.grid[y-1][x+1] = 0
				stage.grid[y][x+1] = 0
				x = x - 1
			end
		elseif o == 4 then
			if x > 2 and stage.grid[y-1][x-2] == 0 and stage.grid[y][x-1] == 0 and stage.grid[y+1][x-1] == 0 then
				stage.grid[y-1][x-2] = b
				stage.grid[y][x-1] = b
				stage.grid[y+1][x-1] = b
				stage.grid[y-1][x] = 0
				stage.grid[y][x] = 0
				stage.grid[y+1][x] = 0
				x = x - 1
			end
		end	
	elseif b == 6 then
		if o == 1 then
			if x > 2 and stage.grid[y][x-2] == 0 and stage.grid[y+1][x] == 0 then
				stage.grid[y][x-2] = b
				stage.grid[y+1][x] = b
				stage.grid[y][x+1] = 0
				stage.grid[y+1][x+1] = 0
				x = x - 1
			end
		elseif o == 2 then
			if x > 1 and stage.grid[y-1][x-1] == 0 and stage.grid[y][x-1] == 0 and stage.grid[y+1][x-1] == 0 then
				stage.grid[y-1][x-1] = b
				stage.grid[y][x-1] = b
				stage.grid[y+1][x-1] = b
				stage.grid[y-1][x+1] = 0
				stage.grid[y][x] = 0
				stage.grid[y+1][x] = 0
				x = x - 1
			end
		elseif o == 3 then
			if x > 2 and stage.grid[y-1][x-2] == 0 and stage.grid[y][x-2] == 0 then
				stage.grid[y-1][x-2] = b
				stage.grid[y][x-2] = b
				stage.grid[y-1][x-1] = 0
				stage.grid[y][x+1] = 0
				x = x - 1
			end
		elseif o == 4 then
			if x > 2 and stage.grid[y-1][x-1] == 0 and stage.grid[y][x-1] == 0 and stage.grid[y+1][x-2] == 0 then
				stage.grid[y-1][x-1] = b
				stage.grid[y][x-1] = b
				stage.grid[y+1][x-2] = b
				stage.grid[y-1][x] = 0
				stage.grid[y][x] = 0
				stage.grid[y+1][x] = 0
				x = x - 1
			end
		end	
	elseif b == 7 then
		if o == 1 then
			if x > 2 and stage.grid[y][x-2] == 0 and stage.grid[y+1][x-1] == 0 then
				stage.grid[y][x-2] = b
				stage.grid[y+1][x-1] = b
				stage.grid[y][x+1] = 0
				stage.grid[y+1][x] = 0
				x = x - 1
			end
		elseif o == 2 then
			if x > 1 and stage.grid[y-1][x-1] == 0 and stage.grid[y][x-1] == 0 and stage.grid[y+1][x-1] == 0 then
				stage.grid[y-1][x-1] = b
				stage.grid[y][x-1] = b
				stage.grid[y+1][x-1] = b
				stage.grid[y-1][x] = 0
				stage.grid[y][x+1] = 0
				stage.grid[y+1][x] = 0
				x = x - 1
			end
		elseif o == 3 then
			if x > 2 and stage.grid[y-1][x-1] == 0 and stage.grid[y][x-2] == 0 then
				stage.grid[y-1][x-1] = b
				stage.grid[y][x-2] = b
				stage.grid[y-1][x] = 0
				stage.grid[y][x+1] = 0
				x = x - 1
			end
		elseif o == 4 then
			if x > 2 and stage.grid[y-1][x-1] == 0 and stage.grid[y][x-2] == 0 and stage.grid[y+1][x-1] == 0 then
				stage.grid[y-1][x-1] = b
				stage.grid[y][x-2] = b
				stage.grid[y+1][x-1] = b
				stage.grid[y-1][x] = 0
				stage.grid[y][x] = 0
				stage.grid[y+1][x] = 0
				x = x - 1
			end
		end	
	end
end

function moveBlockRight()
	if b == 1 then
		if x < 10 and stage.grid[y][x+1] == 0 and stage.grid[y+1][x+1] == 0 then
			stage.grid[y][x+1] = b
			stage.grid[y+1][x+1] = b
			stage.grid[y][x-1] = 0
			stage.grid[y+1][x-1] = 0
			x = x + 1
		end
	elseif b == 2 then
		if o == 1 then
			if x < 9 and stage.grid[y][x+2] == 0  then
				stage.grid[y][x+2] = b
				stage.grid[y][x-2] = 0
				x = x + 1
			end
		elseif o == 2 then
			if x < 10 and stage.grid[y-1][x+1] == 0 and stage.grid[y][x+1] == 0 and stage.grid[y+1][x+1] == 0 and stage.grid[y+2][x+1] == 0 then
				stage.grid[y-1][x+1] = b
				stage.grid[y][x+1] = b
				stage.grid[y+1][x+1] = b
				stage.grid[y+2][x+1] = b
				stage.grid[y-1][x] = 0
				stage.grid[y][x] = 0
				stage.grid[y+1][x] = 0
				stage.grid[y+2][x] = 0
				x = x + 1
			end
		end
	elseif b == 3 then
		if o == 1 then
			if x < 9 and stage.grid[y][x+2] == 0 and stage.grid[y+1][x+1] == 0 then
				stage.grid[y][x+2] = b
				stage.grid[y+1][x+1] = b
				stage.grid[y][x] = 0
				stage.grid[y+1][x-1] = 0
				x = x + 1
			end
		elseif o == 2 then
			if x < 9 and stage.grid[y-1][x+1] == 0 and stage.grid[y][x+2] == 0 and stage.grid[y+1][x+2] == 0 then
				stage.grid[y-1][x+1] = b
				stage.grid[y][x+2] = b
				stage.grid[y+1][x+2] = b
				stage.grid[y-1][x] = 0
				stage.grid[y][x] = 0
				stage.grid[y+1][x+1] = 0
				x = x + 1
			end
		end	
	elseif b == 4 then
		if o == 1 then
			if x < 9 and stage.grid[y][x+1] == 0 and stage.grid[y+1][x+2] == 0 then
				stage.grid[y][x+1] = b
				stage.grid[y+1][x+2] = b
				stage.grid[y][x-1] = 0
				stage.grid[y+1][x] = 0
				x = x + 1
			end
		elseif o == 2 then
			if x < 9 and stage.grid[y-1][x+2] == 0 and stage.grid[y][x+2] == 0 and stage.grid[y+1][x+1] == 0 then
				stage.grid[y-1][x+2] = b
				stage.grid[y][x+2] = b
				stage.grid[y+1][x+1] = b
				stage.grid[y-1][x+1] = 0
				stage.grid[y][x] = 0
				stage.grid[y+1][x] = 0
				x = x + 1
			end
		end	
	elseif b == 5 then
		if o == 1 then
			if x < 9 and stage.grid[y][x+2] == 0 and stage.grid[y+1][x] == 0 then
				stage.grid[y][x+2] = b
				stage.grid[y+1][x] = b
				stage.grid[y][x-1] = 0
				stage.grid[y+1][x-1] = 0
				x = x + 1
			end
		elseif o == 2 then 
			if x < 9 and stage.grid[y-1][x+1] == 0 and stage.grid[y][x+1] == 0 and stage.grid[y+1][x+2] == 0 then
				stage.grid[y-1][x+1] = b
				stage.grid[y][x+1] = b
				stage.grid[y+1][x+2] = b
				stage.grid[y-1][x] = 0
				stage.grid[y][x] = 0
				stage.grid[y+1][x] = 0
				x = x + 1
			end
		elseif o == 3 then
			if x < 9 and stage.grid[y-1][x+2] == 0 and stage.grid[y][x+2] == 0 then
				stage.grid[y-1][x+2] = b
				stage.grid[y][x+2] = b
				stage.grid[y-1][x+1] = 0
				stage.grid[y][x-1] = 0
				x = x + 1
			end
		elseif o == 4 then
			if x < 10 and stage.grid[y-1][x+1] == 0 and stage.grid[y][x+1] == 0 and stage.grid[y+1][x+1] == 0 then
				stage.grid[y-1][x+1] = b
				stage.grid[y][x+1] = b
				stage.grid[y+1][x+1] = b
				stage.grid[y-1][x-1] = 0
				stage.grid[y][x] = 0
				stage.grid[y+1][x] = 0
				x = x + 1
			end
		end	
	elseif b == 6 then
		if o == 1 then
			if x < 9 and stage.grid[y][x+2] == 0 and stage.grid[y+1][x+2] == 0 then
				stage.grid[y][x+2] = b
				stage.grid[y+1][x+2] = b
				stage.grid[y][x-1] = 0
				stage.grid[y+1][x+1] = 0
				x = x + 1
			end
		elseif o == 2 then
			if x < 9 and stage.grid[y-1][x+2] == 0 and stage.grid[y][x+1] == 0 and stage.grid[y+1][x+1] == 0 then
				stage.grid[y-1][x+2] = b
				stage.grid[y][x+1] = b
				stage.grid[y+1][x+1] = b
				stage.grid[y-1][x] = 0
				stage.grid[y][x] = 0
				stage.grid[y+1][x] = 0
				x = x + 1
			end
		elseif o == 3 then
			if x < 9 and stage.grid[y-1][x] == 0 and stage.grid[y][x+2] == 0 then
				stage.grid[y-1][x] = b
				stage.grid[y][x+2] = b
				stage.grid[y-1][x-1] = 0
				stage.grid[y][x-1] = 0
				x = x + 1
			end
		elseif o == 4 then
			if x < 10 and stage.grid[y-1][x+1] == 0 and stage.grid[y][x+1] == 0 and stage.grid[y+1][x+1] == 0 then
				stage.grid[y-1][x+1] = b
				stage.grid[y][x+1] = b
				stage.grid[y+1][x+1] = b
				stage.grid[y-1][x] = 0
				stage.grid[y][x] = 0
				stage.grid[y+1][x-1] = 0
				x = x + 1
			end
		end	
	elseif b == 7 then
		if o == 1 then
			if x < 9 and stage.grid[y][x+2] == 0 and stage.grid[y+1][x+1] == 0 then
				stage.grid[y][x+2] = b
				stage.grid[y+1][x+1] = b
				stage.grid[y][x-1] = 0
				stage.grid[y+1][x] = 0
				x = x + 1
			end
		elseif o == 2 then
			if x < 9 and stage.grid[y-1][x+1] == 0 and stage.grid[y][x+2] == 0 and stage.grid[y+1][x+1] == 0 then
				stage.grid[y-1][x+1] = b
				stage.grid[y][x+2] = b
				stage.grid[y+1][x+1] = b
				stage.grid[y-1][x] = 0
				stage.grid[y][x] = 0
				stage.grid[y+1][x] = 0
				x = x + 1
			end
		elseif o == 3 then
			if x < 9 and stage.grid[y-1][x+1] == 0 and stage.grid[y][x+2] == 0 then
				stage.grid[y-1][x+1] = b
				stage.grid[y][x+2] = b
				stage.grid[y-1][x] = 0
				stage.grid[y][x-1] = 0
				x = x + 1
			end
		elseif o == 4 then
			if x < 10 and stage.grid[y-1][x+1] == 0 and stage.grid[y][x+1] == 0 and stage.grid[y+1][x+1] == 0 then
				stage.grid[y-1][x+1] = b
				stage.grid[y][x+1] = b
				stage.grid[y+1][x+1] = b
				stage.grid[y-1][x] = 0
				stage.grid[y][x-1] = 0
				stage.grid[y+1][x] = 0
				x = x + 1
			end
		end	
	end
end

function rotateBlock()
-- O, I, S, Z, L, J, T
-- 1, 2, 3, 4, 5, 6, 7
	if b == 2 then
		if o == 1 then
			if y < 20 and stage.grid[y-1][x] == 0 and stage.grid[y+1][x] == 0 and stage.grid[y+2][x] == 0 then
				stage.grid[y-1][x] = b
				stage.grid[y+1][x] = b
				stage.grid[y+2][x] = b
				stage.grid[y][x-2] = 0
				stage.grid[y][x-1] = 0
				stage.grid[y][x+1] = 0
				o = 2
			end
		elseif o == 2 then
			if x <= 2 then
				moveBlockRight()
				moveBlockRight()
			elseif x == 10 then
				moveBlockLeft()
			end
			if x > 2 and x < 10 and y < 20 and stage.grid[y][x-2] == 0 and stage.grid[y][x-1] == 0 and stage.grid[y][x+1] == 0 then
				stage.grid[y][x-2] = b
				stage.grid[y][x-1] = b
				stage.grid[y][x+1] = b
				stage.grid[y-1][x] = 0
				stage.grid[y+1][x] = 0
				stage.grid[y+2][x] = 0
				o = 1
			end
		end
	elseif b == 3 then
		if o == 1 then
			if stage.grid[y-1][x] == 0 and stage.grid[y+1][x+1] == 0 then
				stage.grid[y-1][x] = b
				stage.grid[y+1][x+1] = b
				stage.grid[y+1][x-1] = 0
				stage.grid[y+1][x] = 0
				o = 2
			end
		elseif o == 2 then
			if x == 1 then	moveBlockRight() end
			if x > 1 and stage.grid[y+1][x-1] == 0 and stage.grid[y+1][x] == 0 then
				stage.grid[y+1][x-1] = b
				stage.grid[y+1][x] = b
				stage.grid[y-1][x] = 0
				stage.grid[y+1][x+1] = 0
				o = 1
			end
		end
	elseif b == 4 then
		if o == 1 then
			if stage.grid[y-1][x+1] == 0 and stage.grid[y][x+1] == 0 then
				stage.grid[y-1][x+1] = b
				stage.grid[y][x+1] = b
				stage.grid[y][x-1] = 0
				stage.grid[y+1][x+1] = 0
				o = 2
			end
		elseif o == 2 then
			if x == 1 then moveBlockRight() end
			if x > 1 and stage.grid[y][x-1] == 0 and stage.grid[y+1][x+1] == 0 then
				stage.grid[y][x-1] = b
				stage.grid[y+1][x+1] = b
				stage.grid[y-1][x+1] = 0
				stage.grid[y][x+1] = 0
				o = 1
			end
		end
	elseif b == 5 then
		if o == 1 then
			if stage.grid[y-1][x] == 0 and stage.grid[y+1][x] == 0 and stage.grid[y+1][x+1] == 0 then
				stage.grid[y-1][x] = b
				stage.grid[y+1][x] = b
				stage.grid[y+1][x+1] = b
				stage.grid[y][x-1] = 0
				stage.grid[y+1][x-1] = 0
				stage.grid[y][x+1] = 0
				o = 2
			end
		elseif o == 2 then
			if x == 1 then moveBlockRight() end
			if x > 1 and stage.grid[y][x-1] == 0 and stage.grid[y][x+1] == 0 and stage.grid[y-1][x+1] == 0 then
				stage.grid[y][x-1] = b
				stage.grid[y][x+1] = b
				stage.grid[y-1][x+1] = b
				stage.grid[y-1][x] = 0
				stage.grid[y+1][x] = 0
				stage.grid[y+1][x+1] = 0
				o = 3
			end
		elseif o == 3 then
			if y < 21 and stage.grid[y-1][x-1] == 0 and stage.grid[y-1][x] == 0 and stage.grid[y+1][x] == 0 then
				stage.grid[y-1][x-1] = b
				stage.grid[y-1][x] = b
				stage.grid[y+1][x] = b
				stage.grid[y-1][x+1] = 0
				stage.grid[y][x-1] = 0
				stage.grid[y][x+1] = 0
				o = 4
			end
		elseif o == 4 then
			if x == 10 then moveBlockLeft() end
			if x < 10 and stage.grid[y][x-1] == 0 and stage.grid[y+1][x-1] == 0 and stage.grid[y][x-1] == 0 then
				stage.grid[y][x-1] = b
				stage.grid[y+1][x-1] = b
				stage.grid[y][x+1] = b
				stage.grid[y-1][x-1] = 0
				stage.grid[y-1][x] = 0
				stage.grid[y+1][x] = 0
				o = 1
			end
		end
	elseif b == 6 then
		if o == 1 then
			if stage.grid[y-1][x] == 0 and stage.grid[y-1][x+1] == 0 and stage.grid[y+1][x] == 0 then
				stage.grid[y-1][x] = b
				stage.grid[y-1][x+1] = b
				stage.grid[y+1][x] = b
				stage.grid[y][x-1] = 0
				stage.grid[y][x+1] = 0
				stage.grid[y+1][x+1] = 0
				o = 2
			end
		elseif o == 2 then
			if x == 1 then moveBlockRight() end
			if stage.grid[y-1][x-1] == 0 and stage.grid[y][x-1] == 0 and stage.grid[y][x+1] == 0 then
				stage.grid[y-1][x-1] = b
				stage.grid[y][x-1] = b
				stage.grid[y][x+1] = b
				stage.grid[y-1][x] = 0
				stage.grid[y-1][x+1] = 0
				stage.grid[y+1][x] = 0
				o = 3
			end
		elseif o == 3 then
			if y < 21 and stage.grid[y-1][x] == 0 and stage.grid[y+1][x-1] == 0 and stage.grid[y+1][x] == 0 then
				stage.grid[y-1][x] = b
				stage.grid[y+1][x-1] = b
				stage.grid[y+1][x] = b
				stage.grid[y-1][x-1] = 0
				stage.grid[y][x-1] = 0
				stage.grid[y][x+1] = 0
				o = 4
			end
		elseif o == 4 then
			if x == 10 then moveBlockLeft() end
			if stage.grid[y][x-1] == 0 and stage.grid[y][x+1] == 0 and stage.grid[y+1][x+1] == 0 then
				stage.grid[y][x-1] = b
				stage.grid[y][x+1] = b
				stage.grid[y+1][x+1] = b
				stage.grid[y-1][x] = 0
				stage.grid[y+1][x-1] = 0
				stage.grid[y+1][x] = 0
				o = 1
			end
		end
	elseif b == 7 then
		if o == 1 then
			if stage.grid[y-1][x] == 0 then
				stage.grid[y-1][x] = b
				stage.grid[y][x-1] = 0
				o = 2
			end
		elseif o == 2 then
			if x == 1 then moveBlockRight() end
			if stage.grid[y][x-1] == 0 then
				stage.grid[y][x-1] = b
				stage.grid[y+1][x] = 0
				o = 3
			end
		elseif o == 3 then
			if y < 21 and stage.grid[y+1][x] == 0 then
				stage.grid[y+1][x] = b
				stage.grid[y][x+1] = 0
				o = 4
			end
		elseif o == 4 then
			if x == 10 then moveBlockLeft() end
			if stage.grid[y][x+1] == 0 then
				stage.grid[y][x+1] = b
				stage.grid[y-1][x] = 0
				o = 1
			end
		end
	end
end

function checkRows()
	bonus = 0
	points = 0
	for r = 2, 21 do
		if stage.grid[r][1] > 0 and stage.grid[r][2] > 0 and  stage.grid[r][3] > 0 and  stage.grid[r][4] > 0
		and  stage.grid[r][5] > 0 and  stage.grid[r][6] > 0 and  stage.grid[r][7] > 0 and  stage.grid[r][8] > 0
		and  stage.grid[r][9] > 0 and  stage.grid[r][10] > 0 then
			rowsComplete = rowsComplete + 1
			if(math.mod(rowsComplete,10) == 0) then
				love.audio.stop(levelUp)
				love.audio.play(levelUp)
			end
			love.audio.stop(blockBreak)
			love.audio.play(blockBreak)
			bonus = bonus + 1
			points = r-1
			for q = 0, r-2 do
				for c = 1, 10 do
					stage.grid[r-q][c] = stage.grid[r-q-1][c]
				end 
			end
		end
	end
	if bonus == 4 then
		score = score + points*5
	else
		if bonus == 3 then 
			score = score + points*3 + math.ceil(points/2)
		else
			if bonus == 2 then
				score = score + points*2 + math.ceil(points/4)
			else
				score = score + points
			end
		end
	end
end

function drawTealSquare(x,y)
	love.graphics.setColor(64,128,123)
	love.graphics.rectangle("fill",x,y,29,29)
	love.graphics.setColor(191,255,251)
	love.graphics.rectangle("fill",x,y,24,24)
	love.graphics.setColor(128,255,246)
	love.graphics.rectangle("fill",x+5,y+5,19,19)
end

function drawRedSquare(x,y)
	love.graphics.setColor(128,26,26)
	love.graphics.rectangle("fill",x,y,29,29)
	love.graphics.setColor(255,153,153)
	love.graphics.rectangle("fill",x,y,24,24)
	love.graphics.setColor(255,50,50)
	love.graphics.rectangle("fill",x+5,y+5,19,19)
end

function drawBlueSquare(x,y)
	love.graphics.setColor(20,45,128)
	love.graphics.rectangle("fill",x,y,29,29)
	love.graphics.setColor(148,173,255)
	love.graphics.rectangle("fill",x,y,24,24)
	love.graphics.setColor(40,91,255)
	love.graphics.rectangle("fill",x+5,y+5,19,19)
end

function drawGreenSquare(x,y)
	love.graphics.setColor(24,128,53)
	love.graphics.rectangle("fill",x,y,29,29)
	love.graphics.setColor(153,255,182)
	love.graphics.rectangle("fill",x,y,24,24)
	love.graphics.setColor(48,255,107)
	love.graphics.rectangle("fill",x+5,y+5,19,19)
end

function drawYellowSquare(x,y)
	love.graphics.setColor(153,150,57)
	love.graphics.rectangle("fill",x,y,29,29)
	love.graphics.setColor(255,252,176)
	love.graphics.rectangle("fill",x,y,24,24)
	love.graphics.setColor(255,250,95)
	love.graphics.rectangle("fill",x+5,y+5,19,19)
end

function drawPurpleSquare(x,y)
	love.graphics.setColor(118,33,128)
	love.graphics.rectangle("fill",x,y,29,29)
	love.graphics.setColor(246,161,255)
	love.graphics.rectangle("fill",x,y,24,24)
	love.graphics.setColor(236,66,255)
	love.graphics.rectangle("fill",x+5,y+5,19,19)
end


function drawGreySquare(x,y)
	love.graphics.setColor(94,94,94)
	love.graphics.rectangle("fill",x,y,29,29)
	love.graphics.setColor(229,229,229)
	love.graphics.rectangle("fill",x,y,24,24)
	love.graphics.setColor(184,184,184)
	love.graphics.rectangle("fill",x+5,y+5,19,19)
end
